Message: Re: Qt and Geant 4.9.2 integration Not Logged In (login)
 Next-in-Thread Next-in-Thread
 Next-in-Forum Next-in-Forum

Feedback Re: Qt and Geant 4.9.2 integration 

Forum: (Graphical) User Interfaces
Re: Question Qt and Geant 4.9.2 integration (Deepak Samuel)
Date: 20 Apr, 2009
From: Garnier Laurent <Garnier Laurent>

On Wed, 01 Apr 2009 10:57:07 GMT, Deepak Samuel wrote:
> Hi,
> I am a beginner in Geant and have just installed Geant 4.9.2 with QT driver
> options turned on. I could run some of the novice examples. I would like to
> know if Geant can be used in a Qt application. That is, I have a GUI designed
> using Qt and I have a Opengl widget embedded in that GUI and now I want all
> the Geant visualization to be output to this Widget. Is this currently possible?

Yes, this is possible with Qt since your Geant4 4.9.2 version.

>  To begin with I just added the main Geant header files (and nothing else)
> namely
> #include "G4RunManager.hh"
> #include "G4UImanager.hh"
> to my Qt application and using  pro files I generated the make file. While
> compiling I get the following errors :

It seems that your .pro file have see nothing about Geant4 headers and libraries. I don't know much about that, but I'm sure someone will know how to link .pro files against a "external" package such as Geant4. Google ?

Laurent

Inline Depth:
 1 1
 All All
Outline Depth:
 1 1
 2 2
 All All
Add message: (add)

1 Question: Re: Qt and Geant 4.9.2 integration   (Thomas Kluge - 24 Sep, 2009)
 Add Message Add Message
to: "Re: Qt and Geant 4.9.2 integration"

 Subscribe Subscribe

This site runs SLAC HyperNews version 1.11-slac-98, derived from the original HyperNews


[ Geant 4 Home | Geant 4 HyperNews | Search | Request New Forum | Feedback ]